import {
    JsonController,
    Param,
    Body,
    Get,
    Post,
    Put,
    Delete,
} from "routing-controllers";
import { OpenAPI } from "routing-controllers-openapi";
import { getConnection, Repository } from "typeorm";
import { Track } from "../models/Track";

@JsonController("/track")
export class TrackController {
    private repo: Repository<Track>;

    public async TrackController() {
        const trackManager = await getConnection().getRepository(Track);
    }

    @Get("/track")
    async getAll() {
        return await this.repo.count();
    }

    @Get("/track/:id")
    getOne(@Param("id") id: number) {
        return "This action returns user #" + id;
    }

    @Post("/track")
    post(@Body() user: any) {
        return "Saving user...";
    }

    @Put("/track/:id")
    put(@Param("id") id: number, @Body() user: any) {
        return "Updating a user...";
    }

    @Delete("/track/:id")
    remove(@Param("id") id: number) {
        return "Removing user...";
    }
}
